<html>
<head>
<meta charset="utf-8">
</head>
<body>
<p>The following is a test for having non-text inline elements as base in a &lt;ruby&gt;.</p>
<p>準太郎は<ruby><span id="T">東京</span><rt>とうきょう</rt><span id="K">工業</span><span id="D">大学</span><rt>こうぎょうだいがく</rt></ruby>から卒業しました。
</body>
</html>
